Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class IfsCredentialManagerServer

    java.lang.Object
      oracle.ifs.server.IfsCredentialManagerServer

    public class IfsCredentialManagerServer

extends java.lang.Object

IfsCredentialManagerServer is the part of the IfsCredentialManager that runs in JServer, invoked by the repository through PL/SQL wrappers.

(Unpublished)

Field Summary
`static int` | `CREDENTIAL_CHALLENGERESPONSE` Indicates SMB challenge/response credential.
`static int` | `CREDENTIAL_CLEARTEXT` Indicates cleartext credential.
`static int` | `CREDENTIAL_HTTPDIGEST` Indicates HTTP digest credential.
`static int` | `HTTPDIGESTCREDENTIALTYPE_RFC2069` HTTP digest RFC-2069 verifier.
`static int` | `HTTPDIGESTCREDENTIALTYPE_RFC2617` HTTP digest RFC-2617 verifier.
`static int` | `STATUS_CRYPTO_TOOL_KIT` CryptoToolkit status.
`static int` | `STATUS_DOTKIT` 9042 DotKit status.
`static int` | `STATUS_UNKNOWN` Unknown status.
`static int` | `TYPE_LMSESSIONKEY` SMB LM verifier.
`static int` | `TYPE_NTSESSIONKEY` SMB NT verifier.
`static int` | `TYPE_UNKNOWN` Unknown SMB verifier.

Constructor Summary
`IfsCredentialManagerServer()`

Method Summary
`static int` | `authenticate(java.lang.String distinguishedName, byte[] serializedCredential, byte[][] serializedException)` Authenticates the specified user using the specified credential.
`static int` | `createUser(java.lang.String distinguishedName, java.lang.String password, java.lang.String subscriber, byte[][] serializedException)` Creates a new user.
`static int` | `deleteUser(java.lang.String distinguishedName, byte[][] serializedException)` Deletes the specified user.
`static int` | `exists(java.lang.String distinguishedName, byte[][] serializedException)` Determines whether this CredentialManager can authenticate the specified user.
`static java.lang.String` | `getVersionString()` Gets the version of this IfsCredentialManager as a string.
`static byte[]` | `listRealms(byte[][] serializedException)` Gets the list of realms managed by this CredentialManager.
`static byte[]` | `listUsers(byte[][] serializedException)` Gets the distinguished names of all users managed by this CredentialManager.
`static int` | `setPassword(java.lang.String distinguishedName, java.lang.String password, byte[][] serializedException)` Sets the password of the specified user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREDENTIAL_CLEARTEXT

    public static final int CREDENTIAL_CLEARTEXT

  Description copied from class: `IfsCredentialManagerServer`
  Indicates cleartext credential.

  See Also:
    Constant Field Values
  (Unpublished)

### CREDENTIAL_CHALLENGERESPONSE

    public static final int CREDENTIAL_CHALLENGERESPONSE

  Description copied from class: `IfsCredentialManagerServer`
  Indicates SMB challenge/response credential.

  See Also:
    Constant Field Values
  (Unpublished)

### CREDENTIAL_HTTPDIGEST

    public static final int CREDENTIAL_HTTPDIGEST

  Description copied from class: `IfsCredentialManagerServer`
  Indicates HTTP digest credential.

  See Also:
    Constant Field Values
  (Unpublished)

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Description copied from class: `IfsCredentialManagerServer`
  Unknown SMB verifier.

  See Also:
    Constant Field Values
  (Unpublished)

### TYPE_NTSESSIONKEY

    public static final int TYPE_NTSESSIONKEY

  Description copied from class: `IfsCredentialManagerServer`
  SMB NT verifier.

  See Also:
    Constant Field Values
  (Unpublished)

### TYPE_LMSESSIONKEY

    public static final int TYPE_LMSESSIONKEY

  Description copied from class: `IfsCredentialManagerServer`
  SMB LM verifier.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_UNKNOWN

    public static final int STATUS_UNKNOWN

  Description copied from class: `IfsCredentialManagerServer`
  Unknown status.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_DOTKIT

    public static final int STATUS_DOTKIT

  Description copied from class: `IfsCredentialManagerServer`
  9042 DotKit status.

  See Also:
    Constant Field Values
  (Unpublished)

### STATUS_CRYPTO_TOOL_KIT

    public static final int STATUS_CRYPTO_TOOL_KIT

  Description copied from class: `IfsCredentialManagerServer`
  CryptoToolkit status.

  See Also:
    Constant Field Values
  (Unpublished)

### HTTPDIGESTCREDENTIALTYPE_RFC2069

    public static final int HTTPDIGESTCREDENTIALTYPE_RFC2069

  Description copied from class: `IfsCredentialManagerServer`
  HTTP digest RFC-2069 verifier.

  See Also:
    Constant Field Values
  (Unpublished)

### HTTPDIGESTCREDENTIALTYPE_RFC2617

    public static final int HTTPDIGESTCREDENTIALTYPE_RFC2617

  Description copied from class: `IfsCredentialManagerServer`
  HTTP digest RFC-2617 verifier.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### IfsCredentialManagerServer

    public IfsCredentialManagerServer()

Method Detail

### exists

    public static int exists(java.lang.String distinguishedName,
                             byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Determines whether this CredentialManager can authenticate the specified user.

  Parameters:
    `distinguishedName` - the distinguished name of the user
    `serializedException` - any exception to be sent back to caller
  Returns:
    1 if the CredentialManager manages the user; 0 if the CredentialManager does not manage the user; -10152 if the operation fails
  (Unpublished)

### createUser

    public static int createUser(java.lang.String distinguishedName,
                                 java.lang.String password,
                                 java.lang.String subscriber,
                                 byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Creates a new user.

  Parameters:
    `distinguishedName` - the distinguished name of the user
    `password` - the password of the user
    `subscriber` - the realm
    `serializedException` - any exception to be sent back to caller
  Returns:
    1 if the user was created; -10172 if the distinguished name is not unique; -10154 if the operation fails
  (Unpublished)

### deleteUser

    public static int deleteUser(java.lang.String distinguishedName,
                                 byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Deletes the specified user.

  Parameters:
    `distinguishedName` - the distinguished name of the user
    `serializedException` - any exception to be sent back to caller
  Returns:
    1 if successful; -10173 if there is no such user; -10156 if the operation fails
  (Unpublished)

### setPassword

    public static int setPassword(java.lang.String distinguishedName,
                                  java.lang.String password,
                                  byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Sets the password of the specified user.

  Parameters:
    `distinguishedName` - the distinguished name of the user
    `password` - the new password
    `serializedException` - any exception to be sent back to caller
  Returns:
    1 if successful; -10173 if there is no such user; -10158 if the operation fails
  (Unpublished)

### listUsers

    public static byte[] listUsers(byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Gets the distinguished names of all users managed by this CredentialManager.

  Parameters:
    `serializedException` - any exception to be sent back to caller
  Returns:
    a serialized Vector of String[2] (distinguished name, realm) tuples; null if the operation fails
  (Unpublished)

### listRealms

    public static byte[] listRealms(byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Gets the list of realms managed by this CredentialManager.

  Parameters:
    `serializedException` - any exception to be sent back to caller
  Returns:
    a serialized Vector of String realm names; null if the operation fails
  (Unpublished)

### getVersionString

    public static java.lang.String getVersionString()

  Description copied from class: `IfsCredentialManagerServer`
  Gets the version of this IfsCredentialManager as a string.

  Returns:
    the version
  (Unpublished)

### authenticate

    public static int authenticate(java.lang.String distinguishedName,
                                   byte[] serializedCredential,
                                   byte[][] serializedException)

  Description copied from class: `IfsCredentialManagerServer`
  Authenticates the specified user using the specified credential.

  Parameters:
    `distinguishedName` - the distinguished name of the user
    `serializedCredential` - a Vector representing the credential
    `serializedException` - any exception to be sent back to caller
  Returns:
    1 if successful; -10170 if the credential is invalid; -10151 if the operation otherwise fails; -10171 if the credential is not supported
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD